Cerca nel supporto

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Cannot connect to sky sports

  • 3 risposte
  • 1 ha questo problema
  • 17 visualizzazioni
  • Ultima risposta di gary.baker7

more options

Hi Hope somebody can shed a little light on a problem that has just started, I cannot now sign into sky sports using Firefox. I get this message below. Secure Connection Failed An error occurred during a connection to wig.sky.com. Peer using unsupported version of security protocol. Error code: SSL_ERROR_UNSUPPORTED_VERSION

I have tried with both my laptop and desktop same issue. This has only just started; all was ok around a week or so ago. If I connect to Sky Sport using M/S Edge I do not have any problems. Using Windows 10 Many thanks Gary

Tutte le risposte (4)

more options

hello

gary.baker7

During a secure connection, a website must provide a certificate issued by a trusted certificate authority to ensure that the user is connected to the intended target and the connection is encrypted. If you click the Advanced button on a "Warning: Potential Security Risk Ahead" error page and you see the error code SEC_ERROR_UNKNOWN_ISSUER or MOZILLA_PKIX_ERROR_MITM_DETECTED, it means that the provided certificate was issued by a certificate authority that is not known by Firefox and therefore cannot be trusted by default.

The error occurs on multiple secure sites In case you get this problem on multiple unrelated HTTPS-sites, it indicates that something on your system or network is intercepting your connection and injecting certificates in a way that is not trusted by Firefox. The most common causes are security software scanning encrypted connections or malware listening in, replacing legitimate website certificates with their own. In particular, the error code MOZILLA_PKIX_ERROR_MITM_DETECTED indicates that Firefox is able to detect that the connection is intercepted.

Antivirus products

Third-party antivirus software can interfere with Firefox's secure connections.

We recommend uninstalling your third-party software and using the security software offered for Windows by Microsoft:

   Windows 8 and Windows 10 - Windows Defender (built-in)  

If you do not want to uninstall your third-party software, you could try reinstalling it, which might trigger the software into placing its certificates into the Firefox trust store again.

Here are some alternative solutions you can try:

Avast/AVG:

In Avast or AVG security products you can disable the interception of secure connections:

  • Open the dashboard of your Avast or AVG application.
  • Go to Menu and click on Settings > Protection > Core Shields.
  • Scroll down to the Configure shield settings section and click on Web Shield.
  • Uncheck the box next to Enable HTTPS Scanning and confirm this by clicking OK.

note:In older versions of the product you'll find the corresponding option when you go to

Menu > Settings > Components and click Customize next to Web Shield

for more information click the below link:

https://support.mozilla.org/en-US/kb/error-codes-secure-websites

tell me its help

thank you!

È stato utile?

more options

Thanks for your help Arman Both the laptop & PC are using Kaspersky and I have never had a problem using Firefox to connect to sky sports. This problem has started within the last two weeks. Also, I can connect to Sky sports using MS edge without any problem so Kaspersky is not interfering if I go this route.

È stato utile?

more options

Is there anyway of adding this to a Firefox trusted site

È stato utile?

more options

Here is the complete error message Secure Connection Failed

An error occurred during a connection to wig.sky.com. Peer using unsupported version of security protocol.

Error code: SSL_ERROR_UNSUPPORTED_VERSION

   The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
   Please contact the website owners to inform them of this problem.

Learn more…

This website might not support the TLS 1.2 protocol, which is the minimum version supported by Firefox. Enabling TLS 1.0 and TLS 1.1 might allow this connection to succeed.

TLS 1.0 and TLS 1.1 will be permanently disabled in a future release.

Many thanks Gary

È stato utile?

Richiedi supporto

Bisogna accedere al proprio account per rispondere nelle discussioni. Se non si possiede ancora un account, inserire una nuova richiesta.